
Redmine - Feature #6426

MenuManager::MenuItem should support a named route as a url

2010-09-17 20:21 - Eric Davis

Status: Closed Start date: 2010-09-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Instead of having to always use the controller/action/id hash for a menu item, a resource route should also be allowed.

# init.rb for menus

# Old way

{ :controller => 'contracts', :action => 'show', :id => contract.id, :project_id => project}

# New way

contract_path(project, contract)

 Might need to add some more modules/helpers into Redmine::Plugin or MenuItem.

/home/edavis/dev/redmine/redmine-core/vendor/plugins/redmine_contracts/init.rb:37

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_collecti

on.rb:369:in `method_missing'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb

:215:in `method_missing'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/base.rb:2199:in `inject'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb

:215:in `each'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb

:215:in `inject'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb

:215:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb

:215:in `method_missing'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_collecti

on.rb:369:in `method_missing'

/home/edavis/dev/redmine/redmine-core/vendor/plugins/redmine_contracts/init.rb:33

/home/edavis/dev/redmine/redmine-core/lib/redmine/menu_manager.rb:223:in `call'

/home/edavis/dev/redmine/redmine-core/lib/redmine/menu_manager.rb:223:in `render_unattached_childr

en_menu'

Associated revisions

Revision 13765 - 2014-12-14 22:46 - Jean-Philippe Lang

Support for named route in project menu and a new :permission option (#6426).

History

#1 - 2010-10-25 16:59 - Eric Davis

- Assignee deleted (Eric Davis)

#2 - 2014-12-14 22:48 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from MenuManager::MenuItem should support a resource route as a url to MenuManager::MenuItem should support a named route

as a url

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Unplanned backlogs to 3.0.0
- Resolution set to Fixed

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

